html, body {
  height: 100%;
}

body a {
  color: #333;
}

.body-content {
  min-height: 100%;
  margin-bottom: -120px;
}

.body-content:after {
  content: "";
  display: block;
}
.body-content:after {
  height: 120px; 
}

body {
  font-family: 'Open Sans';
  font-size: 16px;
  background-color: #ffffff;
  min-width: 490px;
}

h1 {
  margin-bottom: 80px;
}

h2 {
  margin-bottom: 20px;
}

.btn {
  border-radius: 0;
}

.form-control { 
  border-radius: 0px;
}
/*
.carousel {
  height: 100%;  
  background: rgba(16,54,102,1);
}

.carousel-inner {
  height: 100%;
  text-align: center;
}

.carousel .item {
  height: 100%;
  position: relative;
  overflow: hidden;
}

.carousel-inner > .item > a > img, .carousel-inner > .item > img {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}

@media screen and (min-width: 768px) {
  .carousel-inner > .item.top > a > img, .carousel-inner > .item.top > img {
    bottom: initial;
    top: 120px;
  }
}

.carousel-inner > .item.active {
  z-index: 10;
}

@media screen and (orientation: portrait) {
  .carousel-inner > .item > a > img, .carousel-inner > .item > img {
    max-width: none;
    height: 100%;
    width: auto;
    left: -1000px;
    right: -1000px;
  }
}
*/

.carousel, .carousel-inner {
  height: 100%;
}
.carousel .item {
  height: 100%;
}
.fill {
  background: bottom center no-repeat;
  background-size: cover;
  height: 100vh;
}
.carousel-caption {
  background: #103666;
  left: 0;
  right: 0;
  bottom: 0;
  font-weight: bold;
  font-size: 40px;
  height: 125px;
  line-height: 75px;
  font-family: Kalam;
  font-weight: 300;
}

.navbar {
  -webkit-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75);
  box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75);
  min-width: 480px;
}

#navbar {
  clear: right;
  margin-bottom: 6px;
}

.navbar-default {
  background-color: #103666;/*rgb(21,72,137);*/
  border-bottom: 0px;
}

.navbar-default .navbar-nav > li > a {
  color: rgb(255,255,255);
  font-size: 18px;
  text-shadow: 3px 2px 4px rgba(0,0,0, 1);
}

.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:focus, .navbar-default .navbar-nav > .active > a:hover {
    color: #ff0000;
    background-color: transparent !important;
}

.navbar-default .navbar-nav > li > a:focus, .navbar-default .navbar-nav > li > a:hover {
    color: #ff0000;
    background-color: transparent !important;
    /*text-decoration: underline;*/
}

.navbar-default .navbar-nav > li.border > a {
  padding-top: 12px;
  padding-bottom: 12px;
  border: 3px solid #ff0000;
}


.navbar-brand {
  height: 125px;
  width: 125px;
}

.navbar-brand  img {
  height: 100%;
  width: auto;
}

#address {
  white-space: nowrap;
  color: white; 
  margin-left: 115px;
  font-size: 16px;
  line-height: 1.5em;
  text-shadow: 3px 2px 4px rgba(0,0,0, 1);
}

#address > p {
  float: left;
  margin-right: 30px;
  margin-top: 15px;
}

#address a {
  color: white;
}

#address a span.glyphicon {
  margin-right: 15px;
}

#address a:hover {
  color: #ff0000;
  text-decoration: none;
}

/*
@media screen and (max-width: 479px) {
  .navbar-brand {
    padding: 10px;
  }
  #address > p {
    float: none;
    margin-right: 15px;
  }
  #address {
    float: right;
    margin-left: 0px;
    font-size: 15px;
  }
  #social {
    clear: right;
  }
}
*/
@media screen and (max-width: 767px) {
  #address > p {
    margin-right: 15px;
  }
  #social {
    margin-right: 15px;
  }
  .navbar-fixed-top {
    position: relative;
  }
  #start {
    margin-top: -145px;
  }
  .carousel-inner {
    overflow: initial;
  }
}

@media screen and (min-width: 768px) {
  .navbar-header {
    width: 100%;
    margin-right: -30px;
  }
}

.navbar-default .navbar-toggle {
  border: 0px;
}

.navbar-default .navbar-toggle .icon-bar {
    background-color: rgb(255,255,255);
}

.navbar-toggle {
  margin-top: 8px;
}

.navbar-toggle .icon-bar {
    margin-bottom: 5px;
    width: 34px;
    height: 5px;
}

#lang {
  margin-right: 0px;
  margin-top: 5px;
}

@media screen and (min-width: 768px) {
  #lang {
    margin-top: 1px;
  }
}

#lang.navbar-nav > li {
	float: left;
}

span.flag-pl, span.flag-en, span.flag-de, span.flag-ru {
  display: inline-block;
  height: 27px;
  width: 40px;
  background: url('img/pl.jpg') top left no-repeat;
  background-size: contain;
}

span.flag-en {
  background: url('img/en.jpg') top left no-repeat;
}

span.flag-de {
  background: url('img/de.jpg') top left no-repeat;
}

span.flag-ru {
  background: url('img/ru.jpg') top left no-repeat;
}

.btn-white {
    color: #ff0000;
    background-color: #ffffff;
    border-color: #ffffff;
}

#start {
  height: 100%;
  color: white;
}

#offer h1 {
  margin-bottom: 30px;
}

#offer:before { 
  display: block; 
  content: " "; 
  margin-top: -147px; 
  height: 147px; 
  visibility: hidden; 
}

#offer .img-box {
  overflow: hidden;
  padding-left: 0px;
  padding-right: 0px;
}

#hotel h2 {
  text-align: center;
  color: #103666;
}

#hotel ul, .hotel ul {
  list-style-type: none;
}

.hotel .row {
  padding: 60px 0;
}

.hotel ul {
  padding: 0;
  margin-left: 30px;
}

.hotel .mini-gallery img {
    -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
    -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
    box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
    position: absolute;
    top: 0;
    bottom: 0;
    display: block;
}

.hotel .mini-gallery {
  position: relative;
  min-height: 267px;
}

#hotel ul li:before, .hotel ul li:before {
    content: "\e007";
    font-family: 'Glyphicons Halflings';
    position: relative;
    margin-right: 15px;
    top: 3px;
    color: #ff0000;
    margin-left: -30px;
}


h1 {
    background: rgba(16,54,102,0.1);/*#103666;*//*rgb(21,72,137);*/
    color: #103666;/*#ff0000;*/
    text-align: center;
    padding: 0px;
    line-height: 80px;
    margin: 0;
      -webkit-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75);
  box-shadow: 0px 1px 3px 0px rgba(0,0,0,0.75)
}

#hotel h2 {
  background: rgba(16,54,102,0.1);
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
}

#rooms .row {
  margin-top: 30px;
}

.room img, #reservation img {
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
}

.room h2, #reservation h2 {
  padding-left: 15px;
  font-size: 22px;
  height: 60px;
  padding-top: 6px;
  margin: 0;
  margin-bottom: 30px;
  background: rgba(16,54,102,0.1);
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
}

h2 small {
  text-transform: uppercase;
  color: #ff0000;
}

.room .btn-danger, .hotel .btn-danger {
  background: #e61717;/*#ff0000;*/
  margin: 7px;

}

.room .btn-primary, #reservation .btn-primary  {
   background: #103666;
   margin: 7px;
}

#reservation .well {
  background-color: rgba(16,54,102,0.1);
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
  border: none;
  border-radius: 0;
  margin-top: 30px;
}

#opinions p {
  font-size: 12px;
  text-align: center;
}

footer {
  height: 120px;
  background: #103666 /*url('../img/fbg7.png') bottom center no-repeat*/;
  /*background-size: contain;*/
  /*background-color: #103666;*//*rgb(21,72,137);*/
  padding-top: 0px;
  
  margin-top: 2px;
  color: #ffffff;
  text-shadow: 3px 2px 4px rgba(0,0,0, 1);
  -webkit-box-shadow: 0px -3px 5px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px -3px 5px 0px rgba(0,0,0,0.75);
  box-shadow: 0px -3px 5px 0px rgba(0,0,0,0.75);
}

footer .form-control {
  background-color: #103666 !important;
  border-color: #ffffff;
  border-width: 0px;
  border-bottom-width: 1px;
  color: #ff0000;
}

footer textarea.form-control {
  border-width: 1px;
}

footer .control-label {
  color: #ddd;
  display: none;
}

footer .navbar {
    border-radius: 0px;
    margin-bottom: 0;
    border-left: 0px;
    border-right: 0px;
}

footer a {
  color: white;
  text-decoration: none;
}
footer a span {
  margin-right: 15px;
}

footer p {
 text-align: right/*center*/;
 color: #ddd;
 margin-top: 26px;
 margin-bottom: 26px;
}

footer table {
    margin-top: 22px;
}

footer td {
    text-align: center;
}

#social {
  margin-top: 10px;
  padding-left: 0; 
}

#social li {
  display: inline-block;
  text-align: center;
  font-size: 28px;
  line-height: 42px;
}
#social li a {
  color: #ffffff;
  text-decoration: none;
  text-shadow: 3px 2px 4px rgba(0,0,0, 1);
}

#social li a:hover {
  color: #ff0000;
}

@media screen and (max-width: 639px) {
  #social {
    clear: both;
  }
  #start {
    margin-top: -209px;
  }
  .carousel-caption {
    font-size: 32px;
  }
}

#offer .col-md-4 {
  padding-left: 0;
  padding-right: 0;
}

/*
inspired from http://codepen.io/Rowno/pen/Afykb 
*/
/*
.carousel-fade .carousel-inner .item {
  opacity: 0;
  transition-property: opacity;
}

.carousel-fade .carousel-inner .active {
  opacity: 1;
}

.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  left: 0;
  opacity: 0;
  transition: opacity 0.1s ease;
}

.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
  opacity: 1;
  transition: opacity 0.1s ease;
}

.carousel-fade .carousel-control {
  z-index: 2;
}
*/
#gallery .container-fluid {
  margin-top: 30px;
}

#gallery .col-md-2 {
  padding-bottom: 30px;
}

#gallery-slideshow {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 1500;
  background: rgba(0,0,0,0.94);
  text-align: center;
}

#gallery-slideshow  a.prev,
#gallery-slideshow  a.next {
  position: fixed;
  top: 50%;
  color: #eee;
  font-size: 5em;
  font-weight: lighter;
  text-decoration: none;
  outline: none;
  line-height: 5em;
  margin-top: -2.5em;
}

#gallery-slideshow  a.prev {
  left: 20px;
}

#gallery-slideshow  a.next {
  right: 20px;
}

#gallery-slideshow > div {
  display: table;
  width: 100%;
  height: 100%;
}

#gallery-slideshow figure {
  display: table-cell;
  vertical-align: middle;
}

#gallery-slideshow figure > div {
  position: relative;
  text-align: center;
  display: inline-block;
}

#gallery-slideshow img {
  max-height: 90vh;
  max-width: 90vw;
  display: inline-block;
}

#gallery-slideshow figcaption {
  color: #eee;
  font-size: 1.4em;
  background: rgba(0,0,0,0.4);
  line-height: 2em;
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: left;
}

@media (max-width: 767px) {
  #gallery-slideshow img {
    max-height: 100vh;
  }
  #gallery-slideshow  a.prev {
    left: 0px;
  }

  #gallery-slideshow  a.next {
    right: 0px;
  }
}

#gallery img {
  max-width: 100%;
}

.gallery-thumbnail img, #about img {
    -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
    -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
    box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55);
}

#about .container, #about .container-fluid,
#localization .container, #localization .container-fluid {
  margin-top: 30px;
  margin-bottom: 30px;
}

@media screen and (min-width: 768px) {
  #localization, #rooms, #gallery, #reservation, #contact {
    padding-top: 153px;
  }
}
@media screen and (min-width: 1032px) {
  #localization, #rooms, #gallery, #reservation, #contact {
    padding-top: 125px;
  }
}

#about h2, #about h3 {
  text-align: center;
  margin-bottom: 30px;
}

#about p, #localization p {
  margin-bottom: 30px;
  font-size: 17px;
}

#localization p:first-child {
  margin-top: 60px;
}

#about p:last-child {
  margin-bottom: 60px;
}

#reservation .container {
  margin-top: 30px;
  margin-bottom: 30px;
}

#reservation .room {
  margin-top: 30px;
  margin-bottom: 30px;
  padding-bottom: 30px;
  border-bottom: 1px solid #103666;
}

#reservation .room:last-child {
  border: none;
  padding-bottom: 0;
  margin-bottom: 0;
}

ul.r-steps {
  list-style-type: none;
  display: table;
  width: 100%;
  margin: 0;
  padding: 0;
  margin-bottom: 30px;
  margin-bottom: 30px;
}

ul.r-steps li {
  display: table-cell;
  text-align: center;
}

ul.r-steps li > div {
  height: 80px;
  width: 80px;
  border-radius: 50%;
  border: 10px solid rgba(16,54,102,0.1);
  color: rgba(16,54,102,0.1);
  font-size: 48px;
  font-weight: bold;
  text-align: center;
  line-height: 56px; 
  display: inline-block;
}

ul.r-steps li.active > div {
  border: 10px solid #ff0000;
  background: #103666;
  color: white;
}

blockquote {
  border: none;
}

#contact {
  background: url('img/fbg8.png') bottom left no-repeat;
  background-size: contain;
  padding-bottom: 250px;
}


/* update rezerwacja - krok 2*/

.arrow-down {
  width: 0;
  height: 0;
  border-left: 14px solid transparent;
  border-right: 14px solid transparent;
  border-top: 14px solid #f00;
  float: right;
  margin: 13px;
}
#reservation .room {
}
#reservation #showcase > .row {
  position: relative;
  margin: 0 auto;
}
#reservation #showcase > div > .col-xs-4 {
  box-sizing: border-box;
}

#reservation #showcase .room {
  box-sizing: content-box;
  display: none;
  border: 0px;
  margin-bottom: 20px;
  margin-top: -20px;
  padding: 0px 30px;
}

#reservation #showcase .room  > .row{
  background: #103666;
  color: white;
  -webkit-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55),-2px -2px 5px 0px rgba(0,0,0,0.55);
  -moz-box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55), -2px -2px 5px 0px rgba(0,0,0,0.55);
  box-shadow: 2px 2px 5px 0px rgba(0,0,0,0.55), -2px -2px 5px 0px rgba(0,0,0,0.55);
  padding: 40px 30px;
  margin-left: 0px;
}

#reservation #showcase .room h2 {
  background: rgba(255,255,255,0.1);
}
#reservation figure img {
  margin-bottom: 0;
  width: 100%;
  display: block;
}
#reservation figcaption {
  background: #103666; 
  color: white; 
  font-size: 18px; 
  height: 40px;
  padding-left: 15px;
  line-height: 40px;
  transform: translateY(-100%);
}


  #reservation #showcase .room {
    width: 300%;
  }

  #reservation #showcase > div > .col-xs-4.frcol-1 .room > .row {
    margin-left: -30px;
    margin-right: -30px
  }

  #reservation #showcase > div > .col-xs-4.frcol-2 .room {
    margin-left: -100%;
  }

  #reservation #showcase > div > .col-xs-4.frcol-2 .room > .row {
    margin-left: -60px;
    margin-right: 0px;
  }

  #reservation #showcase > div > .col-xs-4.frcol-3 .room {
    margin-left: -200%;
  }

  #reservation #showcase > div > .col-xs-4.frcol-3 .room > .row {
    margin-left: -90px;
    margin-right: 30px;
  }

/* cookie info */
#cookie-info {
    display: none;
    background: rgba(0,0,0, 0.5);
    color: #eee;
    margin: 0;
    border: 0;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 3000;
    border-radius: 0;
}

#cookie-info p {
    font-size: 16px;
    float: left;
    margin-right: 50px;
    width: 90%;
}
    
#cookie-info button {
    float: right;
    opacity: 1;"
}
    
#cookie-info button span {
    color: #eee; 
    font-size: 32px;
}

p .smaller-font {
    font-size: 15.6px;
}

#order-rules {
    margin-top: 100px;
}

#order-rules p, h4 {
    margin-left: 30px;
}

#order-rules h3,
#order-rules h4 {
    margin-bottom: 20px;
}

#order-rules h4 {
    text-decoration: underline;
}

#order-prices {
    display: none;
}

#breakfast-info {
    font-size: 14px;
    color: red;
    width: 95%;
    display: none;
}

#terms-info {
    font-size: 14px;
    width: 95%;
}

#terms-info a {
    text-decoration: underline;
}

#terms-info a:hover {
    color: red;
}

#reservation select.form-control {
    width: auto;
}

.invoice-data {
    display: none;
}

#p24 {
  display: none;
}


/* Kupon promocyjny */
#promo  .promo-inner {
  min-width: 240px;
  max-height: 570px;
}

#promo p.first {
  margin-top: 15px;
}

#promo form .btn {
  margin-top: 15px;
}

#promo img {
  width: 100%;
  height: auto;
}

@media screen and (min-width: 360px) {
  #promo  .promo-inner {
    max-width: 360px;
  }
}

@media screen and (max-height: 480px) {
  #promo img {
    display: none;
  }
  #promo p.first {
    margin-top: 0px;
  }
}

@media screen and (max-width: 239px) {
  #promo .promo-inner {
    overflow: scroll;
  }
}

@media screen and (min-width: 768px) {
  #promo  .promo-inner {
    max-width: 750px;
    max-height: 330px;
  }
  #promo .promo-img {
    float: left;
    width: 50%;
  }
  #promo .promo-content {
    margin-left: 50%;
    padding-left: 15px;
  }
  #promo img {
    width: auto;
    height: 100%;
  }
}